"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ApiNodePoolDataAdapter_1 = require("../ApiNodePoolDataAdapter");
const NodePoolRepository_1 = require("../NodePoolRepository");
jest.mock('@jfrog-pipelines/configuration', () => ({
    ConfigFactory: { config: { apiUrl: 'http://example.com', controlPlaneVersion: '1.23.6', defaultBatchSize: 100 } }
}));
describe('NodePoolRepository test cases', () => {
    const nodePoolRepository = new NodePoolRepository_1.NodePoolRepository();
    const adapterClass = ApiNodePoolDataAdapter_1.ApiNodePoolDataAdapter;
    describe('getNodePools test cases', () => {
        it('should return all nodePools when called', async () => {
            const spy = jest
                .spyOn(adapterClass.prototype, 'getNodePoolsByQuery')
                .mockResolvedValueOnce([{ id: 1 }, { id: 2 }]);
            const result = await nodePoolRepository.getNodePools();
            expect(result).toBeDefined();
            expect(spy).toHaveBeenCalledTimes(1);
        });
    });
});
//# sourceMappingURL=NodePoolRepository.test.js.map